import { ITemplateEvent, ITemplateFile, ITemplateSource, IVariables, TemplateFilter, TemplateMiddleware, TemplatePathFilter } from '../types';
export declare type SourceTemplateArg = ITemplateSource | ITemplateSource[] | Template | Template[] | string | string[];
export declare type ITemplateArgs = {
    sources?: ITemplateSource[];
    filters?: TemplateFilter[];
    processors?: TemplateMiddleware[];
};
export declare type Handler<V extends IVariables = {}> = TemplateMiddleware<V> & {
    pathFilters?: TemplatePathFilter[];
};
export declare class Template {
    static create(source?: SourceTemplateArg): Template;
    private readonly _disposed$;
    private readonly _events$;
    isDisposed: boolean;
    readonly disposed$: import("rxjs").Observable<unknown>;
    readonly events$: import("rxjs").Observable<ITemplateEvent>;
    private constructor();
    dispose(): void;
    clone(args?: ITemplateArgs): Template;
    private readonly config;
    readonly sources: ITemplateSource[];
    add(source: SourceTemplateArg): Template;
    filter(fn: TemplateFilter): Template;
    use<V extends IVariables = {}>(fn: TemplateMiddleware<V>): Template;
    use<V extends IVariables = {}>(pathFilter: TemplatePathFilter | TemplatePathFilter[], fn: TemplateMiddleware<V>): Template;
    files(options?: {
        cache?: boolean;
    }): Promise<ITemplateFile[]>;
    execute<V extends IVariables = {}>(args?: {
        variables?: V;
        cache?: boolean;
    }): Promise<void>;
}
