export class TemplateRequest {
    constructor(args) {
        const { path, content, variables } = args;
        this.path = path;
        this.content = content;
        this.variables = variables;
    }
    get isBinary() {
        return typeof this.content !== 'string';
    }
    get buffer() {
        return typeof this.content === 'string'
            ? Buffer.from(this.content)
            : this.content;
    }
    get text() {
        return this.isBinary ? undefined : this.content;
    }
}
