#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var yargs = require("yargs");
var common_1 = require("../common");
common_1.log.info();
process.on('unhandledRejection', function (err) {
    throw err;
});
var CMD = {
    LIST: 'list',
    LIST_LS: 'ls',
};
var CMDS = Object.keys(CMD).map(function (key) { return CMD[key]; });
var SCRIPT = common_1.log.magenta('tmpl');
var COMMAND = common_1.log.cyan('<command>');
var OPTIONS = common_1.log.gray('[options]');
var program = yargs
    .scriptName('')
    .usage('Usage:' + " " + SCRIPT + " " + COMMAND + " " + OPTIONS)
    .command([CMD.LIST, CMD.LIST_LS], 'Lists the available templates', function (e) { return e; }, function (e) {
    common_1.log.info('ls', e);
    return;
})
    .help('h')
    .alias('h', 'help')
    .alias('v', 'version');
if (!CMDS.includes(program.argv._[0])) {
    program.showHelp();
    common_1.log.info();
    process.exit(0);
}
common_1.log.info();
