#!/usr/bin/env node
import * as yargs from 'yargs';
import { log } from '../common';
log.info();
process.on('unhandledRejection', err => {
    throw err;
});
const CMD = {
    LIST: 'list',
    LIST_LS: 'ls',
};
const CMDS = Object.keys(CMD).map(key => CMD[key]);
const SCRIPT = log.magenta('tmpl');
const COMMAND = log.cyan('<command>');
const OPTIONS = log.gray('[options]');
const program = yargs
    .scriptName('')
    .usage(`${'Usage:'} ${SCRIPT} ${COMMAND} ${OPTIONS}`)
    .command([CMD.LIST, CMD.LIST_LS], 'Lists the available templates', e => e, e => {
    log.info('ls', e);
    return;
})
    .help('h')
    .alias('h', 'help')
    .alias('v', 'version');
if (!CMDS.includes(program.argv._[0])) {
    program.showHelp();
    log.info();
    process.exit(0);
}
log.info();
