"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var chai_1 = require("chai");
var _1 = require(".");
var libs_1 = require("../libs");
describe('glob', function () {
    it('finds several files', function () { return tslib_1.__awaiter(_this, void 0, void 0, function () {
        var pattern, res, names;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    pattern = __dirname + "/glob*.ts";
                    return [4, _1.glob.find(pattern)];
                case 1:
                    res = _a.sent();
                    chai_1.expect(res.length).to.eql(2);
                    names = res.map(function (p) { return libs_1.fsPath.basename(p); });
                    chai_1.expect(names).to.include('glob.TEST.ts');
                    chai_1.expect(names).to.include('glob.ts');
                    return [2];
            }
        });
    }); });
    it('returns no dot-files (default)', function () { return tslib_1.__awaiter(_this, void 0, void 0, function () {
        var pattern, res, dotFiles;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    pattern = libs_1.fsPath.resolve('./example/tmpl-1/*');
                    return [4, _1.glob.find(pattern)];
                case 1:
                    res = _a.sent();
                    dotFiles = res
                        .map(function (path) { return libs_1.fsPath.basename(path); })
                        .filter(function (file) { return file.startsWith('.'); });
                    chai_1.expect(dotFiles).to.eql([]);
                    return [2];
            }
        });
    }); });
    it('returns dot-files', function () { return tslib_1.__awaiter(_this, void 0, void 0, function () {
        var pattern, res, files;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    pattern = libs_1.fsPath.resolve('./example/tmpl-1/*');
                    return [4, _1.glob.find(pattern, { dot: true })];
                case 1:
                    res = _a.sent();
                    files = res
                        .map(function (path) { return libs_1.fsPath.basename(path); })
                        .filter(function (file) { return file.startsWith('.'); });
                    chai_1.expect(files).to.include('.babelrc');
                    chai_1.expect(files).to.include('.gitignore');
                    return [2];
            }
        });
    }); });
    it('returns only files (by default)', function () { return tslib_1.__awaiter(_this, void 0, void 0, function () {
        var pattern, res, names;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    pattern = libs_1.fsPath.resolve('./example/tmpl-1/*');
                    return [4, _1.glob.find(pattern)];
                case 1:
                    res = _a.sent();
                    names = res.map(function (p) { return libs_1.fsPath.basename(p); });
                    chai_1.expect(names).to.not.include('src');
                    return [2];
            }
        });
    }); });
    it('returns only directories', function () { return tslib_1.__awaiter(_this, void 0, void 0, function () {
        var pattern, res, names;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    pattern = libs_1.fsPath.resolve('./example/tmpl-1/*');
                    return [4, _1.glob.find(pattern, { type: 'DIRS' })];
                case 1:
                    res = _a.sent();
                    names = res.map(function (p) { return libs_1.fsPath.basename(p); });
                    chai_1.expect(names).to.include('src');
                    return [2];
            }
        });
    }); });
});
