"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var libs_1 = require("../libs");
function forOption(title, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var choices, confirm, id, result;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    choices = options.map(function (_a) {
                        var label = _a.label, id = _a.id;
                        return ({
                            name: label,
                            value: id,
                        });
                    });
                    confirm = {
                        type: 'list',
                        name: 'id',
                        message: title,
                        choices: choices,
                    };
                    return [4, libs_1.inquirer.prompt([confirm])];
                case 1:
                    id = (_a.sent()).id;
                    result = options.find(function (item) { return item.id === id; });
                    return [2, result];
            }
        });
    });
}
exports.forOption = forOption;
function forText(message) {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var confirm, value;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    message = message.replace(/\.$/, '');
                    if (!message.endsWith('?')) {
                        message += ':';
                    }
                    confirm = {
                        type: 'input',
                        name: 'value',
                        message: message,
                    };
                    return [4, libs_1.inquirer.prompt(confirm)];
                case 1:
                    value = (_a.sent()).value;
                    return [2, value];
            }
        });
    });
}
exports.forText = forText;
