import { inquirer } from '../libs';
export async function forOption(title, options) {
    const choices = options.map(({ label, id }) => ({
        name: label,
        value: id,
    }));
    const confirm = {
        type: 'list',
        name: 'id',
        message: title,
        choices,
    };
    const { id } = (await inquirer.prompt([confirm]));
    const result = options.find(item => item.id === id);
    return result;
}
export async function forText(message) {
    message = message.replace(/\.$/, '');
    if (!message.endsWith('?')) {
        message += ':';
    }
    const confirm = {
        type: 'input',
        name: 'value',
        message: message,
    };
    const { value } = (await inquirer.prompt(confirm));
    return value;
}
